Error in deploying Syncope

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Error in deploying Syncope

Shagun Akarsh

Hello,

I am trying to deploy Apache Syncope 2.0.0-M2 in embedded mode.

I created a new archetype project (groupId: com.wooqer, artifactId: wooqer-idm, versionNumber: 1.0.0-SNAPSHOT, packageName: com.wooqer, secretKey: 16digits, anonymousKey: 16 digits) as suggested in documentation and all wars are generated without any issue on running (mvn clean package & then mvn clean install) from wooqer-idm directory. Wars are in corresponding target folders:
           wooqer-idm/console/target/syncope-console.war,
           wooqer-idm/core/target/syncope.war,
           wooqer-idm/core/target/common-1.0-SNAPSHOT.war,
           wooqer-idm/enduser/target/syncope-enduser.war.

But when I deploy in embedded mode (mvn -P embedded) from wooqer-idm/console/ directory I get the following error:

[ERROR] Failed to execute goal on project console: Could not resolve dependencies for project com.wooqer:console:war:1.0-SNAPSHOT: The following artifacts could not be resolved: com.wooqer:common:jar:1.0-SNAPSHOT, org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2: Could not find artifact com.wooqer:common:jar:1.0-SNAPSHOT in sonatype (https://oss.sonatype.org/content/repositories/snapshots) -> [Help 1]


I am following all steps as mentioned in documentation, but still getting this error.

Thanks.
--
Shagun Akarsh
Ph: +91-9902095371
Research Engineer
Wooqer Labs,
Bangalore.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

ilgrosso
Administrator
On 03/05/2016 10:28, Shagun Akarsh wrote:

Hello,

I am trying to deploy Apache Syncope 2.0.0-M2 in embedded mode.

I created a new archetype project (groupId: com.wooqer, artifactId: wooqer-idm, versionNumber: 1.0.0-SNAPSHOT, packageName: com.wooqer, secretKey: 16digits, anonymousKey: 16 digits) as suggested in documentation and all wars are generated without any issue on running (mvn clean package & then mvn clean install) from wooqer-idm directory. Wars are in corresponding target folders:
           wooqer-idm/console/target/syncope-console.war,
           wooqer-idm/core/target/syncope.war,
           wooqer-idm/core/target/common-1.0-SNAPSHOT.war,
           wooqer-idm/enduser/target/syncope-enduser.war.

But when I deploy in embedded mode (mvn -P embedded) from wooqer-idm/console/ directory I get the following error:

[ERROR] Failed to execute goal on project console: Could not resolve dependencies for project com.wooqer:console:war:1.0-SNAPSHOT: The following artifacts could not be resolved: com.wooqer:common:jar:1.0-SNAPSHOT, org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2: Could not find artifact com.wooqer:common:jar:1.0-SNAPSHOT in sonatype (https://oss.sonatype.org/content/repositories/snapshots) -> [Help 1]


I am following all steps as mentioned in documentation, but still getting this error.

That page is for Syncope 1.2; if you are on 2.0.0-M2, please follow

http://syncope.apache.org/docs/getting-started.html#create-project

instead.

Regards.
-- 
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Involved at The Apache Software Foundation:
member, Syncope PMC chair, Cocoon PMC,
Olingo PMC, CXF Committer, OpenJPA Committer 
http://home.apache.org/~ilgrosso/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

Shagun Akarsh
Hello,

I followed the link provided for 2.0.0-M2. It is unable to find this dependency org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2. I even checked http://repo1.maven.org/maven2/org/syncope/ but could not find any org.apache.syncope.fit. artifact

The error log (on running mvn -P embedded from console directory):

[INFO] ------------------------------------------------------------------------
[WARNING] The POM for org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2 is missing, no dependency information available
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
....
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project console: Could not resolve dependencies for project com.wooqer:console:war:1.0-SNAPSHOT: Failure to find org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2 in https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced -> [Help 1]
....
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException


On Tue, May 3, 2016 at 3:59 PM, Francesco Chicchiriccò <[hidden email]> wrote:
On 03/05/2016 10:28, Shagun Akarsh wrote:

Hello,

I am trying to deploy Apache Syncope 2.0.0-M2 in embedded mode.

I created a new archetype project (groupId: com.wooqer, artifactId: wooqer-idm, versionNumber: 1.0.0-SNAPSHOT, packageName: com.wooqer, secretKey: 16digits, anonymousKey: 16 digits) as suggested in documentation and all wars are generated without any issue on running (mvn clean package & then mvn clean install) from wooqer-idm directory. Wars are in corresponding target folders:
           wooqer-idm/console/target/syncope-console.war,
           wooqer-idm/core/target/syncope.war,
           wooqer-idm/core/target/common-1.0-SNAPSHOT.war,
           wooqer-idm/enduser/target/syncope-enduser.war.

But when I deploy in embedded mode (mvn -P embedded) from wooqer-idm/console/ directory I get the following error:

[ERROR] Failed to execute goal on project console: Could not resolve dependencies for project com.wooqer:console:war:1.0-SNAPSHOT: The following artifacts could not be resolved: com.wooqer:common:jar:1.0-SNAPSHOT, org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2: Could not find artifact com.wooqer:common:jar:1.0-SNAPSHOT in sonatype (https://oss.sonatype.org/content/repositories/snapshots) -> [Help 1]


I am following all steps as mentioned in documentation, but still getting this error.

That page is for Syncope 1.2; if you are on 2.0.0-M2, please follow

http://syncope.apache.org/docs/getting-started.html#create-project

instead.

Regards.
-- 
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Involved at The Apache Software Foundation:
member, Syncope PMC chair, Cocoon PMC,
Olingo PMC, CXF Committer, OpenJPA Committer 
http://home.apache.org/~ilgrosso/



--
Shagun Akarsh
Ph: +91-9902095371
Research Engineer
Wooqer Labs,
Bangalore.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

ilgrosso
Administrator
On 03/05/2016 13:49, Shagun Akarsh wrote:
Hello,

I followed the link provided for 2.0.0-M2. It is unable to find this dependency org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2. I even checked http://repo1.maven.org/maven2/org/syncope/ but could not find any org.apache.syncope.fit. artifact

Hi,
you are right:

org.apache.syncope.fit:syncope-fit-build-tools:war

is not part of the release, so you won't find it in the central Maven repository.

This needs to be fixed before next release: would you mind opening an issue on JIRA?

As a temporary workaround, I'd suggest switching to 2.0.0-SNAPSHOT, e.g. creating the Maven project via

mvn archetype:generate \
    -DarchetypeGroupId=org.apache.syncope \
    -DarchetypeArtifactId=syncope-archetype \
    -DarchetypeRepository=http://repository.apache.org/content/repositories/snapshots \
    -DarchetypeVersion=2.0.0-SNAPSHOT

then adding the following code right before </project> in root pom.xml of the generated project:

<repositories>
  <repository>
    <id>ASF</id>
    <url>https://repository.apache.org/content/repositories/snapshots/</url>
    <snapshots>
      <enabled>true</enabled>
    </snapshots>
  </repository>
</repositories>

At this point you can proceed as indicated in the getting started guide.

Regards.

On Tue, May 3, 2016 at 3:59 PM, Francesco Chicchiriccò <[hidden email]> wrote:
On 03/05/2016 10:28, Shagun Akarsh wrote:

Hello,

I am trying to deploy Apache Syncope 2.0.0-M2 in embedded mode.

I created a new archetype project (groupId: com.wooqer, artifactId: wooqer-idm, versionNumber: 1.0.0-SNAPSHOT, packageName: com.wooqer, secretKey: 16digits, anonymousKey: 16 digits) as suggested in documentation and all wars are generated without any issue on running (mvn clean package & then mvn clean install) from wooqer-idm directory. Wars are in corresponding target folders:
           wooqer-idm/console/target/syncope-console.war,
           wooqer-idm/core/target/syncope.war,
           wooqer-idm/core/target/common-1.0-SNAPSHOT.war,
           wooqer-idm/enduser/target/syncope-enduser.war.

But when I deploy in embedded mode (mvn -P embedded) from wooqer-idm/console/ directory I get the following error:

[ERROR] Failed to execute goal on project console: Could not resolve dependencies for project com.wooqer:console:war:1.0-SNAPSHOT: The following artifacts could not be resolved: com.wooqer:common:jar:1.0-SNAPSHOT, org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2: Could not find artifact com.wooqer:common:jar:1.0-SNAPSHOT in sonatype (https://oss.sonatype.org/content/repositories/snapshots) -> [Help 1]


I am following all steps as mentioned in documentation, but still getting this error.

That page is for Syncope 1.2; if you are on 2.0.0-M2, please follow

http://syncope.apache.org/docs/getting-started.html#create-project

instead.

Regards.
-- 
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Involved at The Apache Software Foundation:
member, Syncope PMC chair, Cocoon PMC,
Olingo PMC, CXF Committer, OpenJPA Committer 
http://home.apache.org/~ilgrosso/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

Shagun Akarsh
Hello Francesco,

I have opened a JIRA issue 839.

I will try using snapshot and get back if I face any issue. I was looking through roadmap documentation and could not find any tentative date for 2.0.0 stable release. By when can we expect this release ?

Also I would like to get your opinion on my use-case which I am trying to solve through syncope. We are running Shibboleth IdPv3 as Identity Provider and authentication applications (Spring based using spring-security-saml2) with it. For updating user creation, updation, forgot password, update password, other user information synchronization across application database (MySQL) and Identity Store (openLDAP), I am planning to use syncope REST APIs & synchronization features.

Am I going in right direction ? Also will syncope 1.2.7 suffice my needs ?

Thanks.

On Tue, May 3, 2016 at 5:27 PM, Francesco Chicchiriccò <[hidden email]> wrote:
On 03/05/2016 13:49, Shagun Akarsh wrote:
Hello,

I followed the link provided for 2.0.0-M2. It is unable to find this dependency org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2. I even checked http://repo1.maven.org/maven2/org/syncope/ but could not find any org.apache.syncope.fit. artifact

Hi,
you are right:

org.apache.syncope.fit:syncope-fit-build-tools:war

is not part of the release, so you won't find it in the central Maven repository.

This needs to be fixed before next release: would you mind opening an issue on JIRA?

As a temporary workaround, I'd suggest switching to 2.0.0-SNAPSHOT, e.g. creating the Maven project via

mvn archetype:generate \
    -DarchetypeGroupId=org.apache.syncope \
    -DarchetypeArtifactId=syncope-archetype \
    -DarchetypeRepository=http://repository.apache.org/content/repositories/snapshots \
    -DarchetypeVersion=2.0.0-SNAPSHOT

then adding the following code right before </project> in root pom.xml of the generated project:

<repositories>
  <repository>
    <id>ASF</id>
    <url>https://repository.apache.org/content/repositories/snapshots/</url>
    <snapshots>
      <enabled>true</enabled>
    </snapshots>
  </repository>
</repositories>

At this point you can proceed as indicated in the getting started guide.

Regards.

On Tue, May 3, 2016 at 3:59 PM, Francesco Chicchiriccò <[hidden email][hidden email]> wrote:
On 03/05/2016 10:28, Shagun Akarsh wrote:

Hello,

I am trying to deploy Apache Syncope 2.0.0-M2 in embedded mode.

I created a new archetype project (groupId: com.wooqer, artifactId: wooqer-idm, versionNumber: 1.0.0-SNAPSHOT, packageName: com.wooqer, secretKey: 16digits, anonymousKey: 16 digits) as suggested in documentation and all wars are generated without any issue on running (mvn clean package & then mvn clean install) from wooqer-idm directory. Wars are in corresponding target folders:
           wooqer-idm/console/target/syncope-console.war,
           wooqer-idm/core/target/syncope.war,
           wooqer-idm/core/target/common-1.0-SNAPSHOT.war,
           wooqer-idm/enduser/target/syncope-enduser.war.

But when I deploy in embedded mode (mvn -P embedded) from wooqer-idm/console/ directory I get the following error:

[ERROR] Failed to execute goal on project console: Could not resolve dependencies for project com.wooqer:console:war:1.0-SNAPSHOT: The following artifacts could not be resolved: com.wooqer:common:jar:1.0-SNAPSHOT, org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2: Could not find artifact com.wooqer:common:jar:1.0-SNAPSHOT in sonatype (https://oss.sonatype.org/content/repositories/snapshots) -> [Help 1]


I am following all steps as mentioned in documentation, but still getting this error.

That page is for Syncope 1.2; if you are on 2.0.0-M2, please follow

http://syncope.apache.org/docs/getting-started.html#create-project

instead.

Regards.
-- 
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Involved at The Apache Software Foundation:
member, Syncope PMC chair, Cocoon PMC,
Olingo PMC, CXF Committer, OpenJPA Committer 
http://home.apache.org/~ilgrosso/



--
Shagun Akarsh
Ph: +91-9902095371
Research Engineer
Wooqer Labs,
Bangalore.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

ilgrosso
Administrator
On 03/05/2016 14:56, Shagun Akarsh wrote:
Hello Francesco,

I have opened a JIRA issue 839.

Thanks.

I will try using snapshot and get back if I face any issue. I was looking through roadmap documentation and could not find any tentative date for 2.0.0 stable release. By when can we expect this release ?

Keeping up with dates has proven to be hard, so we recently removed such info from the roadmap.

I believe we should have 2.0.0-M3 soon (about a month from now, or even less), especially considering the high number of issues already fixed since M2.
M3 will also likely bring feature-freeze for 2.0.0: no more major features will be added, mainly bugfixing.

After M3, as soon as we are able to finalize the documentation (especially the reference guide which is still in early stages), the final 2.0.0 should be ready to be published.

Also I would like to get your opinion on my use-case which I am trying to solve through syncope. We are running Shibboleth IdPv3 as Identity Provider and authentication applications (Spring based using spring-security-saml2) with it. For updating user creation, updation, forgot password, update password, other user information synchronization across application database (MySQL) and Identity Store (openLDAP), I am planning to use syncope REST APIs & synchronization features.

Am I going in right direction ? Also will syncope 1.2.7 suffice my needs ?

You use case looks perfect fit for Syncope as IdM: I've been implementing similar solutions (with Shibboleth and / or CAS) in the last years.

Syncope 1.2.7 has everything you might need for the specific case above but one, important feature, e.g. the enduser application. This means you'll need to code your own (or adapt anything existing) to provide self-registration, self-update, and password reset to final users.

Hope this clarifies.
Regards.

On Tue, May 3, 2016 at 5:27 PM, Francesco Chicchiriccò <[hidden email]> wrote:
On 03/05/2016 13:49, Shagun Akarsh wrote:
Hello,

I followed the link provided for 2.0.0-M2. It is unable to find this dependency org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2. I even checked http://repo1.maven.org/maven2/org/syncope/ but could not find any org.apache.syncope.fit. artifact

Hi,
you are right:

org.apache.syncope.fit:syncope-fit-build-tools:war

is not part of the release, so you won't find it in the central Maven repository.

This needs to be fixed before next release: would you mind opening an issue on JIRA?

As a temporary workaround, I'd suggest switching to 2.0.0-SNAPSHOT, e.g. creating the Maven project via

mvn archetype:generate \
    -DarchetypeGroupId=org.apache.syncope \
    -DarchetypeArtifactId=syncope-archetype \
    -DarchetypeRepository=http://repository.apache.org/content/repositories/snapshots \
    -DarchetypeVersion=2.0.0-SNAPSHOT

then adding the following code right before </project> in root pom.xml of the generated project:

<repositories>
  <repository>
    <id>ASF</id>
    <url>https://repository.apache.org/content/repositories/snapshots/</url>
    <snapshots>
      <enabled>true</enabled>
    </snapshots>
  </repository>
</repositories>

At this point you can proceed as indicated in the getting started guide.

Regards.

On Tue, May 3, 2016 at 3:59 PM, Francesco Chicchiriccò <[hidden email]> wrote:
On 03/05/2016 10:28, Shagun Akarsh wrote:

Hello,

I am trying to deploy Apache Syncope 2.0.0-M2 in embedded mode.

I created a new archetype project (groupId: com.wooqer, artifactId: wooqer-idm, versionNumber: 1.0.0-SNAPSHOT, packageName: com.wooqer, secretKey: 16digits, anonymousKey: 16 digits) as suggested in documentation and all wars are generated without any issue on running (mvn clean package & then mvn clean install) from wooqer-idm directory. Wars are in corresponding target folders:
           wooqer-idm/console/target/syncope-console.war,
           wooqer-idm/core/target/syncope.war,
           wooqer-idm/core/target/common-1.0-SNAPSHOT.war,
           wooqer-idm/enduser/target/syncope-enduser.war.

But when I deploy in embedded mode (mvn -P embedded) from wooqer-idm/console/ directory I get the following error:

[ERROR] Failed to execute goal on project console: Could not resolve dependencies for project com.wooqer:console:war:1.0-SNAPSHOT: The following artifacts could not be resolved: com.wooqer:common:jar:1.0-SNAPSHOT, org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2: Could not find artifact com.wooqer:common:jar:1.0-SNAPSHOT in sonatype (https://oss.sonatype.org/content/repositories/snapshots) -> [Help 1]


I am following all steps as mentioned in documentation, but still getting this error.

That page is for Syncope 1.2; if you are on 2.0.0-M2, please follow

http://syncope.apache.org/docs/getting-started.html#create-project

instead.

Regards.
-- 
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Involved at The Apache Software Foundation:
member, Syncope PMC chair, Cocoon PMC,
Olingo PMC, CXF Committer, OpenJPA Committer 
http://home.apache.org/~ilgrosso/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

rajkumar
In reply to this post by ilgrosso
I tried below command and getting below mentioned error.

Can anyone help out to fix this

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:2 .4:generate (default-cli) on project standalone-pom: The desired archetype does not exist (org.apache.syncope:syncope-archetype:2.0.0-SNAPSHOT) -> [Help 1]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

ilgrosso
Administrator
Please follow the official documentation:

http://syncope.apache.org/docs/getting-started.html#maven-project

HTH
Regards.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

rajkumar
Hi,

Thanks, it is working now and i have created my project, placed into my container and started tomcat.

When i try to access localhost:8080/syncope-console, i am getting following error. i have done all the configurations.

org.apache.wicket.WicketRuntimeException: Unable to instantiate web session class org.apache.syncope.client.console.SyncopeConsoleSession
        org.apache.wicket.authroles.authentication.AuthenticatedWebApplication.newSession(AuthenticatedWebApplication.java:121)
        org.apache.wicket.Application.fetchCreateAndSetSession(Application.java:1714)
        org.apache.wicket.Session.get(Session.java:169)
        org.apache.syncope.client.console.SyncopeConsoleSession.get(SyncopeConsoleSession.java:103)
        org.apache.syncope.client.console.SyncopeConsoleRequestCycleListener.onException(SyncopeConsoleRequestCycleListener.java:61)
        org.apache.wicket.request.cycle.RequestCycleListenerCollection$4.notify(RequestCycleListenerCollection.java:126)
        org.apache.wicket.request.cycle.RequestCycleListenerCollection$4.notify(RequestCycleListenerCollection.java:122)
        org.apache.wicket.util.listener.ListenerCollection.notify(ListenerCollection.java:80)
        org.apache.wicket.request.cycle.RequestCycleListenerCollection.onException(RequestCycleListenerCollection.java:121)
        org.apache.wicket.request.cycle.RequestCycleListenerCollection$4.notify(RequestCycleListenerCollection.java:126)
        org.apache.wicket.request.cycle.RequestCycleListenerCollection$4.notify(RequestCycleListenerCollection.java:122)
        org.apache.wicket.util.listener.ListenerCollection.notify(ListenerCollection.java:80)
        org.apache.wicket.request.cycle.RequestCycleListenerCollection.onException(RequestCycleListenerCollection.java:121)
        org.apache.wicket.request.cycle.RequestCycle.handleException(RequestCycle.java:351)
        org.apache.wicket.request.cycle.RequestCycle.processRequest(RequestCycle.java:233)
        org.apache.wicket.request.cycle.RequestCycle.processRequestAndDetach(RequestCycle.java:293)
        org.apache.wicket.protocol.ws.AbstractUpgradeFilter.processRequestCycle(AbstractUpgradeFilter.java:70)
        org.apache.wicket.protocol.http.WicketFilter.processRequest(WicketFilter.java:203)
        org.apache.wicket.protocol.http.WicketFilter.doFilter(WicketFilter.java:284)
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

ilgrosso
Administrator
On 29/11/2016 09:29, rajkumar wrote:
> Hi,
>
> Thanks, it is working now and i have created my project, placed into my
> container and started tomcat.
>
> When i try to access localhost:8080/syncope-console, i am getting following
> error. i have done all the configurations.

Yes, this is because you now need to follow

https://ci.apache.org/projects/syncope/reference-guide.html#customization

in particular build via

$ mvn clean verify \
    -Dconf.directory=/opt/syncope/conf \
    -Dbundles.directory=/opt/syncope/bundles \
    -Dlog.directory=/opt/syncope/log
$ cp core/target/classes/*properties /opt/syncope/conf
$ cp console/target/classes/*properties /opt/syncope/conf
$ cp enduser/target/classes/*properties /opt/syncope/conf

replace /opt/syncope base dir with your actual directory, naturally.

Side note: the link above is from the snapshot version of the guide, as
some fixes were provided; its content will eventually replace the one
available at

http://syncope.apache.org/docs/reference-guide.html#customization

Regards.

--
Francesco Chicchiriccò

Tirasa - Open Source Excellence
http://www.tirasa.net/

Member at The Apache Software Foundation
Syncope, Cocoon, Olingo, CXF, OpenJPA, PonyMail
http://home.apache.org/~ilgrosso/

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in deploying Syncope

rajkumar
Really i got more information from the link you have shared, but still i am facing same issue and getting same error. Also kindly share me some reference about how to update data from syncope to database.

Sorry i am totally new for syncope.

Thanks,
Raj
Loading...